Bug 1887797 - [CNV][V2V] Default network type is bridge for interface bound to POD network in VMWare migration wizard
Summary: [CNV][V2V] Default network type is bridge for interface bound to POD network ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Filip Krepinsky
QA Contact: Igor Braginsky
URL:
Whiteboard:
Depends On:
Blocks: 1887813
TreeView+ depends on / blocked
 
Reported: 2020-10-13 11:24 UTC by Igor Braginsky
Modified: 2021-02-24 15:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Default pod network had a wrong interface type Fix: Default pod network interface type is set to masquerade
Clone Of:
: 1887813 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:25:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6925 0 None closed Bug 1887797: asign masquerade to pod interface in RHV import 2021-02-18 12:21:10 UTC
Github openshift console pull 7706 0 None closed Bug 1887797: asing masquerade to pod interface in VMware import 2021-02-18 12:21:10 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:26:00 UTC

Description Igor Braginsky 2020-10-13 11:24:59 UTC
Description of problem: Default network type is bridge for interface bound to POD network. When running wizard user needs to update network setting to masquerading manually


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Run migration wizard from VMWare to CNV
2. Go to the network settings of VM
3. Open NIC that is bound to POD network

Actual results: Bridged network type is selected by default regardless it is not supported


Expected results: Masquerade network type should be default


Additional info:

Comment 1 Fabien Dupont 2020-10-13 12:10:09 UTC
Tomas, is there still time to fix it for CNV 2.5.0?

Comment 2 Tomas Jelinek 2020-10-13 12:21:03 UTC
I'll move it under UI and target 4.6.z

Comment 4 Yaacov Zamir 2020-12-09 08:01:07 UTC
@Igor hi,
We need this verified so we know we can backport the fix to 4.6.z ( BZ1887813 ) do you need help verifying?

Comment 6 Igor Braginsky 2020-12-22 13:17:54 UTC
This bug reproduces on very recent CNV 2.6, I will reopen it.

Comment 7 Filip Krepinsky 2021-01-05 12:15:23 UTC
the original fix focused only on the RHV part. Posted a part 2 for VMware as well.

Igor, can you check the RHV as well once you get to verifying this?

Comment 8 Igor Braginsky 2021-01-05 13:21:15 UTC
Sure, I will validate it as soon as I will get new CNV 2.6 deployed

Comment 10 Igor Braginsky 2021-01-20 14:12:37 UTC
Verified in CNV 2.6, bug is fixed

Comment 12 errata-xmlrpc 2021-02-24 15:25:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.